## Apache Zeta Components Manual :: Docs For Class ezcCacheStorageOptions

### Cache::ezcCacheStorageOptions

### Class ezcCacheStorageOptions

Option class for the ezcCacheStorage class.

Instances of this class store the options of ezcCacheStorage implementations.

Source for this file: /Cache/src/options/storage.php

    ezcBaseOptions
       |
       --ezcCacheStorageOptions

Version: | //autogentag//

### Properties

string | read/write | `$extension` The (file) extension to use for the storage items.
int | read/write | `$ttl` The time to live of cache entries.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcCacheStorageOptions | `__construct( [ $options = array()] )` Constructs a new options object.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcCacheStorageOptions __construct( [array(string=>mixed) $options = array()] )

Constructs a new options object.

It also sets the default values of the format property

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) | The initial options to set.

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If the value for the property is incorrect
`ezcBasePropertyNotFoundException` | If trying to assign a property which does not exist

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3